# FreshRSS to Wallabag sync
This FreshRSS extension will automatically push new articles from specified feeds to your Wallabag instance for later reading.
The built-in Wallabag integration only uses the Share button in Wallabag to open the current article on your Wallabag instance.
This extension automates this process in the background.
In Wallabag new articles will then be tagged as `freshrss` (optional).
Configuring filters for new articles is planned.

Only Wallabag v2 is supported.

## Setup
1. Clone this extension to the [`extensions` folder](https://freshrss.github.io/FreshRSS/en/admins/15_extensions.html#how-to-install) of your FreshRSS installation:
    ```sh
    git clone https://git.haagfank.de/LnLcFlx/xExtension-wallabag
    ```
1. In Wallabag, visit *API clients management* and click *Create a new client*
1. Choose an arbitrary name and click *Create a new client* again.
    Write down the client ID and client secret.
1. In FreshRSS, go to the settings page and click *Extensions*.
1. A new extension named *Wallabag* should be displayed. 
    Click *Manage*.
1. Fill in *Wallabag Endpoint* (for example: `https://app.wallabag.it`), your *Wallabag Username*, *Wallabag Password* as well as your newly created *Client ID* and *Client Secret*.
    Under *Feeds* you can select what feeds should be synced to Wallabag.
    (Optionally enable *Use tags?* to copy FreshRSS tags of an article to Wallabag.)
    Click *Submit*.
1. *Enable* the extension.

## Alternatives
- [built-in manual sharing](https://freshrss.github.io/FreshRSS/en/users/08_sharing_services.html)
- [*FreshRSS Wallabag Button*](https://github.com/youknow0/freshrss-wallabag) (3rd pary extension for sharing a single article to Wallabag in the background; README inspired by this)
